<?php
defined('_JEXEC') or die;

// get params
$logo			= $this->params->get('logo');
$app			= JFactory::getApplication();
$doc			=JFactory::getDocument();
$templateparams	= $app->getTemplate(true)->params;
$time 			= date('Y')

?>
<?php echo '<?'; ?>xml version="1.0" encoding="<?php echo $this->_charset ?>"?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >

<head>
<jdoc:include type="head" />
<?php JHTML::_( 'behavior.mootools' ); ?>
<link rel="stylesheet" href="/templates/system/css/system.css" type="text/css" />
<link rel="stylesheet" href="/templates/system/css/general.css" type="text/css" />
<link href="<?php echo $this->baseurl;?>/templates/<?php echo $this->template; ?>/css/template.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $this->baseurl;?>/templates/<?php echo $this->template; ?>/css/typography.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $this->baseurl;?>/templates/<?php echo $this->template; ?>/css/menu.css" rel="stylesheet" type="text/css" />
<link href="<?php echo $this->baseurl;?>/templates/<?php echo $this->template; ?>/css/global.css" rel="stylesheet" type="text/css" />

</head>
<body id="bd">
	<div id="bg-body">
		<!-- header -->
		<div id="header-block">
			<div id="header">
				<div id="menu">
					<jdoc:include type="modules" name="menu" style="none" />
				</div>
			<div id="header-right">	
				<!-- logoheader -->
				<div id="logoheader">
					<h1 id="logo">
					<?php if ($logo != null ): ?>
					<a href="<?php echo $this->baseurl;?>"><img src="<?php echo $this->baseurl ?>/<?php echo htmlspecialchars($logo); ?>" alt="<?php echo htmlspecialchars($templateparams->get('sitetitle'));?>" /></a>
					<?php else: ?>
					<?php echo htmlspecialchars($templateparams->get('sitetitle'));?>
					<?php endif; ?>
					<span class="sitedescription">
					<?php echo htmlspecialchars($templateparams->get('sitedescription'));?>
					</span></h1>
				</div>
				<!-- end logoheader -->
				
				<div id="social-header">
<?php
if ($templateparams->get('facebook')) {
?>
					<div class="facebook social"><a href="<?php echo htmlspecialchars($templateparams->get('facebook'));?>"target = "_blank">facebook</a></div>
<?php
}

?>

<?php
if ($templateparams->get('flickr')) {
?>
					<div class="flickr social"><a href="<?php echo htmlspecialchars($templateparams->get('flickr'));?>"target = "_blank">flickr</a></div>
<?php
}	

?>

<?php
if ($templateparams->get('twitter')) {
?>			
					<div class="twitter social"><a href="<?php echo htmlspecialchars($templateparams->get('twitter'));?>"target = "_blank">twitter</a></div>
<?php
}	
?>				

<?php
if ($templateparams->get('rss')) {
?>	
					<div class="rss social"><a href="<?php echo htmlspecialchars($templateparams->get('rss'));?>"target = "_blank">rss</a></div>
<?php
}	

?>	
				</div>
			</div>	
			</div>
			
		</div>
		<!-- end header -->
		
		<div id="bg-wrap">
			<div id="wrapper">
				<!-- home -->
				<?php $menu = JSite::getMenu();
				if ($menu->getActive()->id == $menu->getDefault()->id): ?>
					<?php if($this->countModules('position-1')
					or $this->countModules('position-2')
					or $this->countModules('position-3')
					or $this->countModules('position-4')) : ?>
					<table id="home-images">
						<tr>
							<td class="home-images-first"><jdoc:include type="modules" name="position-1" style="xhtml" /></td>
							<td><jdoc:include type="modules" name="position-2" style="xhtml" /></td>
							<td><jdoc:include type="modules" name="position-3" style="xhtml" /></td>
							<td class="home-images-last"><jdoc:include type="modules" name="position-4" style="xhtml" /></td>
						</tr>
					</table>
					<?php endif; ?>
				<?php endif; ?>
				<!-- end home -->
				
				<div id="system-message">
					<jdoc:include type="message" />
				</div>
				
				
				<!--block content-->
				<?php $menu = JSite::getMenu();
				if ($menu->getActive()->id != $menu->getDefault()->id): ?>
					<div id="block-content">
						<div id="content-area">
							<jdoc:include type="component" />
						</div>
					</div>
				<?php endif; ?>	
				<!--end block content-->
				
				<?php if($this->countModules('position-5')) : ?>
				<div id="position-5">
					<jdoc:include type="modules" name="position-5" style="xhtml" />
				</div>		
				<?php endif; ?>
				
				<div id="bottom-block">
					<?php if($this->countModules('position-6')) : ?>
					<div id="bottom-left">
						<jdoc:include type="modules" name="position-6" style="xhtml" />
					</div>
					<?php endif; ?>
					
					<?php if($this->countModules('contacts')) : ?>
					<div id="bottom-right">
						<jdoc:include type="modules" name="contacts" style="xhtml" />
					</div>
					<?php endif; ?>
				</div>
			</div>
		</div>
		<!-- block footer -->
		<div id="footer-block">
			<div id="footer">
				<div id="copyright">
				&copy;&nbsp; <?php echo $time; ?>&nbsp; <?php echo htmlspecialchars($templateparams->get('author'));?>
					<?php echo JText::_('All rights reserved.'); ?>
				</div>
				
				<a class="footer-fastw3b" href="http://www.fastw3b.net" target="_blank">
					<img src="<?php echo $this->baseurl;?>/templates/<?php echo $this->template; ?>/images/fastw3b.png" 
					width="130" height="36" alt="fastw3b" />
				</a>
				
				<?php if($this->countModules('footer-menu')) : ?>
				<div id="footer-menu">
					<jdoc:include type="modules" name="footer-menu" style="none" />
				</div>
				<?php endif; ?>
			</div>	
		</div>
	</div>
	<!-- end block footer -->
		
<jdoc:include type="modules" name="debug" />
</body>
</html>
